<bugID>533232<Summary>closing tab to the right of its parent should select the parent, not the next tab on the right</Summary><Description>STR:

1. you have tab A and B, where A is on the left and B on the right
2. select tab A, ctl+click a link, opening tab C in the middle of tab A and B
3. select tab C
4. close tab C

Expected: tab A is selected

Actual: tab B is selected

note that i'm not saying tab B should *always* be selected. i think tab A should be selected *if* it's the parent of the closing tab.</Description></bugID>